Package com.complexible.common.rdf.query

# Enum Class SPARQLUtil.QueryType

java.lang.Object
java.lang.Enum<SPARQLUtil.QueryType>
com.complexible.common.rdf.query.SPARQLUtil.QueryType

All Implemented Interfaces:
  `Serializable`, `Comparable<SPARQLUtil.QueryType>`, `Constable`

Enclosing class:
  `SPARQLUtil`

public static enum SPARQLUtil.QueryType extends Enum<SPARQLUtil.QueryType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASK`
  `DESCRIBE`
  A query of the same type as `GRAPH`, but used in a few instances to disambiguate between construct and describe.
  `GRAPH`
  `PATH`
  `PLAN`
  `SELECT`
  `UPDATE`
  `VALIDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SPARQLUtil.QueryType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SPARQLUtil.QueryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELECT

    public static final SPARQLUtil.QueryType SELECT

  - ### GRAPH

    public static final SPARQLUtil.QueryType GRAPH

  - ### ASK

    public static final SPARQLUtil.QueryType ASK

  - ### UPDATE

    public static final SPARQLUtil.QueryType UPDATE

  - ### DESCRIBE

    public static final SPARQLUtil.QueryType DESCRIBE
    A query of the same type as `GRAPH`, but used in a few instances to disambiguate between construct and describe. It is not inferred from either `getType` method.

  - ### VALIDATE

    public static final SPARQLUtil.QueryType VALIDATE

  - ### PATH

    public static final SPARQLUtil.QueryType PATH

  - ### PLAN

    public static final SPARQLUtil.QueryType PLAN

- ## Method Details

  - ### values

    public static SPARQLUtil.QueryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SPARQLUtil.QueryType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null